﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Lab1;

public class EntityYborshik
{
    /// <summary>
	/// Скорость
	/// </summary>
	public int Speed { get; private set; }

    /// <summary>
    /// Вес
    /// </summary>
    public double Weight { get; private set; }

    /// <summary>
    /// Основной цвет
    /// </summary>
    public Color BodyColor { get; private set; }

    /// <summary>
    /// Дополнительный цвет (для опциональных элементов)
    /// </summary>
    public Color AdditionalColor { get; private set; }

    /// <summary>
    /// Признак (опция) наличия щетки сверху(НАЗВАНИЯ НЕ СООТВЕТСВУЮТ,
    /// ПОТОМУ ЧТО Я НЕВНИМАТЕЛЬНО ПРОЧИТАЛ ЗАДАНИЕ И ЗАШЕЛ УЖЕ СЛИШКОМ ДАЛЕКО, ЧТОБЫ ПЕРЕДЕЛЫВАТЬ ИХ)
    /// </summary>
    public bool FlashingLights { get; private set; }

    /// <summary>
    /// Признак (опция) наличия бака под воду
    /// </summary>
    public bool Ladle { get; private set; }

    /// <summary>
	/// Шаг перемещения уборочной машины
	/// </summary>
    public double Step => Speed * 100 / Weight;

    /// <summary>
	/// Инициализация полей объекта-класса спортивного автомобиля
	/// </summary>
	/// <param name="speed">Скорость</param>
	/// <param name="weight">Вес автомобиля</param>
	/// <param name="bodyColor">Основной цвет</param>
	/// <param name="additionalColor">Дополнительный цвет</param>
	/// <param name="flashingLights">Признак наличия мигалок</param>
	/// <param name="ladle">Признак наличия ковша</param>
    public void Init(int speed, int weight, Color bodyColor, Color additionalColor, bool flashingLights, bool ladle)
    {
        Speed = speed;
        Weight = weight;
        BodyColor = bodyColor;
        AdditionalColor = additionalColor;
        FlashingLights = flashingLights;
        Ladle = ladle;
    }
}

